/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __ARGSCONFIG_H__
#define __ARGSCONFIG_H__

/* uncomment following lines to open by default wmlaptop
 * on another X-Server */
//#define    ARGSDEF_XDISPLAYNAME       "192.168.0.2:0.0"


/* uncomment to get the auto-frequency-scaling
 * activated or deactivated at start */
//#define     ARGSDEF_AUTOFREQ          AUTOFREQ_ON
//#define     ARGSDEF_AUTOFREQ          AUTOFREQ_OFF


/* uncomment or modify this value to change autoscaling 
 * incremental step */
//#define    ARGSDEF_INCREMENTALSTEP    100000


/* for setting cpu frequency at its max or min at start */
//#define    ARGSDEF_STARTINGFREQ       STARTINGFREQ_MIN
//#define    ARGSDEF_STARTINGFREQ       STARTINGFREQ_MAX


/* max usable frequency */
//#define    ARGSDEF_MAXFREQ            1400000


/* min usable frequency */
//#define    ARGSDEF_MINFREQ            600000


/* using /sys/.. or /proc/.. for cpu scaling */
//#define    ARGSDEF_USESYSPROC         USESYSPROC_SYS
//#define    ARGSDEF_USESYSPROC         USESYSPROC_PROC

/* using a file for reading max, min, and for setting cpu frequency */
//#define    ARGSDEF_USEFILEMAX         "/home/foo/bar/maxFreq"
//#define    ARGSDEF_USEFILEMIN         "/home/foo/bar/minFreq"
//#define    ARGSDEF_USEFILESET         "/proc/my/strange/place"

/* start using APM or ACPI, trying one before the other one,
 * or only the one selected */
//#define    ARGSDEF_USEAPMACPI         USEAPMACPI_APM
//#define    ARGSDEF_USEAPMACPI         USEAPMACPI_ACPI
//#define    ARGSDEF_USEAPMACPI         USEAPMACPI_ONLYAPM
//#define    ARGSDEF_USEAPMACPI         USEAPMACPI_ONLYACPI

#endif
